from modules.image_parser import (parse_image, parse_whole_directory)
from modules.argument_parser import (generate_argument_parser)

if __name__ == "__main__":
	arg_parser = generate_argument_parser()
	args = arg_parser.parse_args()

	print(args, args.extension)

	# Parse directory
	if (args.directory != None):
		parse_whole_directory(args.directory, args.output, args.height, args.width, args.extension)

	# Parse individual files
	if (args.files != None):
		for file in args.files:
			parse_image(file, args.output, args.height, args.width, args.extension)

